# School Capacity Balancer Mod
 
Tweaks the capacity of schools to make the number of schools required more sane/realistic.

Exact stat tweaks:
* Elementary School & extension wing capacity and upkeep are doubled
* College extension wing capacity and upkeey are doubled
* Regular university capacity and upkeep are increased by 25%
    
## Installation - Manual
1. Install BepInEx 5 or 6, and download the correct version of the mod. The BepInEx 5 version is on Thunderstore, and both BepInEx 5 and 6 versions can be found on [the GitHub page](https://github.com/Wayzware/EducationBalancer).

2. Run the game once, then close it. You can close it when the main menu appears

3. Download the mod from Thunderstore.io or the [release page](https://github.com/Wayzware/EducationBalancer/releases). Make sure you select the download that is compatible with your version of BepInEx. Unzip it into the `Cities Skylines II/BepInEx/plugins` folder.

4. Launch the game, and your mods should be loaded automatically

## Configuration
You can change the stat tweaks yourself if desired, or even add stat tweaks for other school buildings not already modified! (currently restricted to upkeep and student capacity changes only)

You will need to edit the config file located at `C:\Users\YOUR_USERNAME_HERE\AppData\LocalLow\Colossal Order\Cities Skylines II\ModSettings\SchoolCapacityBalancer_Wayz`. **You must run the game with the mod installed at least once for this file to be generated**.


## Compiling the Mod Yourself
You will need to add references to Unity yourself if you wish to compile the project.

In the .csproj, you can set the location of your game install, switch between BepInEx 5 and 6, and enable the PostBuild install step to automatically install the mod after build.
